function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import React from "react";
import Typography from "./Typography";
const Text = (props) => /* @__PURE__ */ React.createElement(Typography, _extends({
  renderType: "text"
}, props));
const Title = (props) => /* @__PURE__ */ React.createElement(Typography, _extends({
  renderType: "title"
}, props));
const Link = (props) => /* @__PURE__ */ React.createElement(Typography, _extends({
  renderType: "link"
}, props));
const TypographyNamespace = Object.assign(Typography, {
  Text,
  Title,
  Link
});
var stdin_default = TypographyNamespace;
export {
  TypographyNamespace as Typography,
  stdin_default as default
};
